# Interface IStylesOptions

#### Hierarchy

- IStylesOptions

- Defined in src/file/styles/styles.ts:7

#####
Index

### Properties

characterStyles?
default?
importedStyles?
initialStyles?
paragraphStyles?

## Properties

### `Optional` `Readonly` characterStyles

characterStyles?: readonly ICharacterStyleOptions[]

- Defined in src/file/styles/styles.ts:11

### `Optional` `Readonly` default

default?: IDefaultStylesOptions

- Defined in src/file/styles/styles.ts:8

### `Optional` `Readonly` importedStyles

importedStyles?: readonly (XmlComponent | StyleForParagraph | StyleForCharacter | ImportedXmlComponent)[]

- Defined in src/file/styles/styles.ts:12

### `Optional` `Readonly` initialStyles

initialStyles?: BaseXmlComponent

- Defined in src/file/styles/styles.ts:9

### `Optional` `Readonly` paragraphStyles

paragraphStyles?: readonly IParagraphStyleOptions[]

- Defined in src/file/styles/styles.ts:10

Generated using TypeDoc